<script setup lang="ts">
import { useStockStore } from '@/Stock/stores/stock'
import { nextTick, onMounted, ref } from 'vue'
import IngredientsList from '../components/IngredientsList.vue'
import EditStock from '../components/EditStock.vue'
import type { Stock } from '../types/stock'
const stockStore = useStockStore()
const tab = ref(null)

function getItem(item: any) {
  console.log('item click:' + item)
}

// const selected = (p: Stock) => {
//   console.log('ProductView' + p)
//   stockStore.addReceiptItem(p)
//   nextTick(() => {
//     if (divReceiptItems.value) divReceiptItems.value.scrollTo(0, divReceiptItems.value.scrollHeight)
//   })
// }

onMounted(() => {
  stockStore.getAll()
})
</script>
<template>
  <v-container class="custom-container" fluid>
    <v-row>
      <v-card class="pa-5" width="100%">
        <v-row>
          <v-col>
            <h2>Stock Management</h2>
          </v-col>
          <v-col cols="1">
            <router-link to="/stock">
              <v-btn> Back </v-btn>
            </router-link>
          </v-col>
        </v-row>
      </v-card>
      <v-container>
        <v-row>
          <v-col cols="6">
            <v-data-table
              class="h-100"
              fixed-header
              :headers="stockStore.headers"
              :items="stockStore.items"
            >
              <template #item="{ item }">
                <tr @click="stockStore.getItemAll(item)">
                  <td>{{ item.id }}</td>
                  <td>{{ item.code }}</td>
                  <td>{{ item.name }}</td>
                  <td>{{ item.price }}</td>
                  <td>{{ item.balance }}</td>
                  <td>{{ item.unit }}</td>
                  <td>{{ item.status }}</td>
                </tr>
              </template>
            </v-data-table>
          </v-col>
          <v-col>
            <EditStock></EditStock>
          </v-col>
          <v-col>
            <v-sheet
              max-width="600"
              min-width="300"
              height="720"
              elevation="3"
              class="overflow-auto"
            >
              <v-tabs v-model="tab" color="deep-purple-accent-4" align-tabs="center">
                <v-tab :value="1">ทั้งหมด</v-tab>
                <v-tab :value="2">เหลือน้อย</v-tab>
              </v-tabs>
              <v-window v-model="tab">
                <v-window-item :value="1">
                  <IngredientsList></IngredientsList>
                </v-window-item>
                <v-window-item :value="2">
                  <IngredientsList></IngredientsList>
                </v-window-item>
              </v-window>
            </v-sheet>
          </v-col>
          <v-col cols="6"><IngredientsList></IngredientsList> </v-col>
        </v-row>
      </v-container>
    </v-row>
  </v-container>
</template>
<style scoped>
.custom-container {
  margin-top: 0;
  padding-top: 0;
}
</style>
